org.wildfly.swarm.config.undertow.configuration

## Class Rewrite<T extends Rewrite<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.undertow.configuration.Rewrite<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class Rewrite<T extends Rewrite<T>>
      extends HashMap

  A rewrite (or redirect) filter
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Rewrite(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `Boolean` | `redirect()` If this is true then a redirect will be done instead of a rewrite
    `T` | `redirect(Boolean value)` If this is true then a redirect will be done instead of a rewrite
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `target()` The expression that defines the target.
    `T` | `target(String value)` The expression that defines the target.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### Rewrite

          public Rewrite(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### redirect

          public Boolean redirect()

      If this is true then a redirect will be done instead of a rewrite

    - #### redirect

          public T redirect(Boolean value)

      If this is true then a redirect will be done instead of a rewrite

    - #### target

          public String target()

      The expression that defines the target. If you are redirecting to a constant target put single quotes around the value

    - #### target

          public T target(String value)

      The expression that defines the target. If you are redirecting to a constant target put single quotes around the value

Copyright © 2018 JBoss by Red Hat. All rights reserved.